Package com.microblink.blinkid.uisettings

# Class CameraSettings

java.lang.Object
com.microblink.blinkid.uisettings.CameraSettings

All Implemented Interfaces:
  `android.os.Parcelable`

public class CameraSettings extends Object implements android.os.Parcelable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CameraSettings.Builder`

  ## Nested classes/interfaces inherited from interface android.os.Parcelable

  `android.os.Parcelable.ClassLoaderCreator<T extends Object>, android.os.Parcelable.Creator<T extends Object>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final CameraAspectMode`
  `aspectMode`
  `static final android.os.Parcelable.Creator<CameraSettings>`
  `CREATOR`
  `final boolean`
  `forceLegacyApi`
  `final boolean`
  `isOptimizedForNearScan`
  `final boolean`
  `isPinchToZoomAllowed`
  `final float`
  `previewZoomScale`
  `final com.microblink.blinkid.view.surface.CameraSurface`
  `surface`
  `final CameraType`
  `type`
  `final VideoResolutionPreset`
  `videoResolutionPreset`

  ### Fields inherited from interface android.os.Parcelable

  `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(RecognizerRunnerView recognizerRunnerView)`
  `int`
  `describeContents()`
  `void`
  `writeToParcel(android.os.Parcel dest, int flags)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### type

    @NonNull public final CameraType type

  - ### isOptimizedForNearScan

    public final boolean isOptimizedForNearScan

  - ### aspectMode

    @NonNull public final CameraAspectMode aspectMode

  - ### previewZoomScale

    public final float previewZoomScale

  - ### surface

    @NonNull public final com.microblink.blinkid.view.surface.CameraSurface surface

  - ### forceLegacyApi

    public final boolean forceLegacyApi

  - ### isPinchToZoomAllowed

    public final boolean isPinchToZoomAllowed

  - ### videoResolutionPreset

    @NonNull public final VideoResolutionPreset videoResolutionPreset

  - ### CREATOR

    public static final android.os.Parcelable.Creator<CameraSettings> CREATOR

- ## Method Details

  - ### apply

    public void apply(@NonNull RecognizerRunnerView recognizerRunnerView)

  - ### describeContents

    public int describeContents()
    Specified by:
      `describeContents` in interface `android.os.Parcelable`

  - ### writeToParcel

    public void writeToParcel(@NonNull android.os.Parcel dest, int flags)
    Specified by:
      `writeToParcel` in interface `android.os.Parcelable`